
Infrastructure - Task #4685

Story # 3892 (Closed): Need a content viewing / rendering service

Add proposed CNRead view service to the Architecture Docs

2014-04-04 21:59 - Chris Jones

Status: Closed Start date: 2014-04-04

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

This is the same as #4684, however, a CNRead.getView() service needs to consider how packages or individual files are rendered

for download.  Since the CNs don't store science data objects, the bytes would need to be first retrieved from one of the MN replicas. 

This may put unplanned load on the CNs, and needs discussion.  

History

#1 - 2014-05-11 23:44 - Matthew Jones

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Completed CNView service documentation.  The service is identical to the MNView definition, except that the CN may choose to redirect the request

to the MNView service at the associated member node.  I left that open in the API docs so we had some degree of latitude to decide when that

redirection might occur.  There could be use cases where we don't want redirection to occur, such as when the MN doesn't support a particular view

theme, or in an integrated application that can't handle redirects.  This needs discussion before implementation.

#2 - 2014-09-24 18:27 - Dave Vieglais

- Target version changed from 2014.14-Block.2.3 to CCI-2.0.0
